Test
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Functions.Test(ctx, operations.C1APIFunctionsV1FunctionsServiceTestRequest{
FunctionID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.FunctionsServiceTestResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.functions.test({
functionId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/functions/{function_id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"commitId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/functions/{function_id}/test"
payload = { "commitId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({commitId: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/functions/{function_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"assertions": [
{
"actual": "<string>",
"at": "<string>",
"description": "<string>",
"expected": "<string>",
"operator": "<string>",
"pass": true
}
],
"error": "<string>",
"logs": [
{
"level": "<string>",
"log": "<string>",
"source": "<string>"
}
],
"name": "<string>"
},
"results": [
{
"assertions": [
{
"actual": "<string>",
"at": "<string>",
"description": "<string>",
"expected": "<string>",
"operator": "<string>",
"pass": true
}
],
"error": "<string>",
"logs": [
{
"level": "<string>",
"log": "<string>",
"source": "<string>"
}
],
"name": "<string>"
}
]
}Function
Test
Test runs a function’s test suite in a sandboxed environment and returns the results.
POST
/
api
/
v1
/
functions
/
{function_id}
/
test
Test
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Functions.Test(ctx, operations.C1APIFunctionsV1FunctionsServiceTestRequest{
FunctionID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.FunctionsServiceTestResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.functions.test({
functionId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The function ID to test.
Body
application/json
FunctionsServiceTestRequest runs tests for a function at a specific commit.
The commit ID to test. If empty, the published commit is used.
Response
200 - application/json
FunctionsServiceTestResponse contains test execution results.
Was this page helpful?
⌘I